## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcCollisionDetection Member List

This is the complete list of members for iPcCollisionDetection, including all inherited members.

AdjustForCollisions(csVector3 &oldpos, csVector3 &newpos, csVector3 &vel, float delta, iMovable *movable)=0 | iPcCollisionDetection | `[pure virtual]`
Init(const csVector3 &body, const csVector3 &legs, const csVector3 &shift)=0 | iPcCollisionDetection | `[pure virtual]`
IsOnGround() const =0 | iPcCollisionDetection | `[pure virtual]`
SetOnGround(bool flag)=0 | iPcCollisionDetection | `[pure virtual]`